- Qt 5.5
- Qt3D Module
- C++ Classes
- RunnableInterface
- Qt 5.5.1 Reference Documentation

# RunnableInterface Class

(Qt3D::RunnableInterface)

Inherits: |
Inherited By: |

- List of all members, including inherited members

## Public Functions

virtual | ~RunnableInterface()
virtual DependencyHandler * | dependencyHandler() = 0
virtual int | id() = 0
virtual bool | reserved() = 0
virtual void | run() = 0
virtual void | setDependencyHandler(DependencyHandler *) = 0
virtual void | setId(int id) = 0
virtual void | setPooler(QThreadPooler * pooler) = 0
virtual void | setReserved(bool reserved) = 0

## Member Function Documentation

### `[virtual]` RunnableInterface::~RunnableInterface()

### `[pure virtual]` DependencyHandler * RunnableInterface::dependencyHandler()

See also setDependencyHandler().

### `[pure virtual]` int RunnableInterface::id()

See also setId().

### `[pure virtual]` bool RunnableInterface::reserved()

See also setReserved().

### `[pure virtual]` void RunnableInterface::run()

### `[pure virtual]` void RunnableInterface::setDependencyHandler(DependencyHandler *)

See also dependencyHandler().

### `[pure virtual]` void RunnableInterface::setId(int id)

See also id().

### `[pure virtual]` void RunnableInterface::setPooler(QThreadPooler * pooler)

### `[pure virtual]` void RunnableInterface::setReserved(bool reserved)

See also reserved().